<template lang="pug">
div( :class='[ hero ? "hero" : "section", bindClass ]' )
	.section( v-if='hero' :class='bindClass' )
		.container( :class='containerBindClass' )
			slot
	.container( v-else :class='containerBindClass' )
		slot
</template>

<script>
export default {
	props: {
		hero: Boolean,
		type: {
			type: String,
			default: "",
			validator: val => [ "", "medium", "large" ].includes(val)
		},
		container: {
			type: String,
			default: "",
			validator: val => [ "", "max-desktop", "max-widescreen", "widescreen", "fullhd" ].includes(val)
		}
	},
	computed: {
		bindClass() {
			if (this.type)
				return `is-${this.type}`

			return ""
		},
		containerBindClass() {
			if (this.container)
				return `is-${this.container}`

			return ""
		}
	}
}
</script>

<style lang="scss" scoped>
.section {
	width: 100%;
}
</style>